Subject: Re: bug#74361: [PATCH] New option xref-navigation-display-window-action

From: Dmitry Gutov <[email-masked]>
Date: Wed, 27 Nov 2024 03:52:18 +0200

On 26/11/2024 11:15, martin rudalics wrote:
>  > This is why I suggest to create a separate action.  If you are sure
>  > it should be used by default, then it could be inserted
>  > before display-buffer-use-some-window here:
>  >
>  >    (defconst display-buffer-fallback-action
>  >      '((display-buffer--maybe-same-window
>  >         display-buffer-reuse-window
>  >         display-buffer--maybe-pop-up-frame-or-window
>  >         display-buffer-in-previous-window
>  >         display-buffer-reuse-category-window ;; <-- NEW!
>  >         display-buffer-use-some-window
>  >         display-buffer-pop-up-frame))
>  >
>  > Otherwise, users will be able to use the new action
>  > display-buffer-reuse-category-window in their customizations
>  > of display-buffer-alist.
> 
> What I want is to get rid of the lru behavior in the context of say
> Bug#74246 for users who do _not want_ to tinker with
> 'display-buffer-alist'.  Most Emacs users know how to split windows.
> Few of them may want to have ‘display-buffer’ use them up piecemeal by
> eventually displaying images in all of them.

That's a nice idea.

Just to note - in the patch that I've just pushed for Xref the category 
('xref-jump') doesn't describe the destination buffer but only the 
command that is currently being executed. The destination buffers are 
regular file buffers, usually not distinct from the other file buffers 
belonging to the same project.

So choosing the window by matching the category might not be so natural 
in that case as reusing a window already showing an image. Probably 
won't hurt, though.